4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.UriReferenceFileImp

UriReferenceFile repository resource class
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: UriReferenceFileImp |  |  |  | Functions: NewUriReferenceFileXml |  |  |  | Fields: FTSERVER_NAMESPACE, SET_REFERENCE_XUPDATE, XLINK_NAMESPACE

## Classes

class UriReferenceFileImp(Ft.Server.Server.SCore.RawFileImp.RawFileImp)
An Uri Reference File is a reference to a URI. You are given read only access to it. MetaData about the Content is updated every time you call getContent

### Methods

getContent(self)
getReference(self)
setContent(self, *args)
setReference(self, newRef)
Set what this URI references

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 17

## Functions

NewUriReferenceFileXml(driver, path, acl, owner, imt, srcUri)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
SET_REFERENCE_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x...ce">%s</xupdate:update>\n</xupdate:modifications>\n'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'